For the complete documentation index, see llms.txt. This page is also available as Markdown.

Gestion des versions

📦 Applications et versions

Create App

post

Create an app to group versions and/or split environments.

Autorisations
AuthorizationstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Corps
namestring · min: 3 · max: 64Requis

Custom identifier.

Example: my-game-server
is_activebooleanRequis

Enable or disable deployments.

Default: trueExample: true
imagestringRequis

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
Réponses
200

Success

application/json
namestring · min: 3 · max: 64Requis

Custom name.

Example: my-game-server
is_activebooleanRequis

Enable or disable deployments.

Default: trueExample: true
imagestringRequis

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
create_timestringRequis

Date of creation.

Example: 2026-04-22 12:00:46.444265
last_updatedstringRequis

Date of last update.

Example: 2026-04-22 12:00:46.444265
post/v1/app
POST /v1/app HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "name": "my-game-server",
  "is_active": true,
  "image": "iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg=="
}
{
  "name": "my-game-server",
  "is_active": true,
  "image": "iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==",
  "create_time": "2026-04-22 12:00:46.444265",
  "last_updated": "2026-04-22 12:00:46.444265"
}

Get App

get

Get app details.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestringRequisExample: my-game-server
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
namestring · min: 3 · max: 64Requis

Custom name.

Example: my-game-server
is_activebooleanRequis

Enable or disable deployments.

Default: trueExample: true
imagestringRequis

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
create_timestringRequis

Date of creation.

Example: 2026-04-22 12:00:46.444265
last_updatedstringRequis

Date of last update.

Example: 2026-04-22 12:00:46.444265
get/v1/app/{app_name}
GET /v1/app/{app_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "name": "my-game-server",
  "is_active": true,
  "image": "iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==",
  "create_time": "2026-04-22 12:00:46.444265",
  "last_updated": "2026-04-22 12:00:46.444265"
}

List Apps

get

List apps under your organization.

Autorisations
AuthorizationstringRequis
Paramètres de requête
pageinteger · min: 1OptionnelExample: 2
limitinteger · min: 1OptionnelExample: 20
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
total_countintegerRequisExample: 100
get/v1/apps
GET /v1/apps HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "applications": [
    {
      "name": "my-game-server",
      "is_active": true,
      "image": "iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==",
      "create_time": "2026-04-22 12:00:46.444265",
      "last_updated": "2026-04-22 12:00:46.444265"
    }
  ],
  "total_count": 100,
  "pagination": {
    "number": 1,
    "next_page_number": 2,
    "previous_page_number": 1,
    "paginator": {
      "num_pages": 10
    },
    "has_next": true,
    "has_previous": false
  }
}

Update App

patch

Modify existing app.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestringRequisExample: my-game-server
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Corps
namestring · min: 3 · max: 64Optionnel

Application name

Example: my-game-server
is_activebooleanOptionnel

If the application can be deployed

Default: trueExample: true
imagestringOptionnel

Image base64 string

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
Réponses
200

Success

application/json
namestring · min: 3 · max: 64Requis

Custom name.

Example: my-game-server
is_activebooleanRequis

Enable or disable deployments.

Default: trueExample: true
imagestringRequis

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
create_timestringRequis

Date of creation.

Example: 2026-04-22 12:00:46.444265
last_updatedstringRequis

Date of last update.

Example: 2026-04-22 12:00:46.444265
patch/v1/app/{app_name}
PATCH /v1/app/{app_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "name": "my-game-server",
  "is_active": true,
  "image": "iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg=="
}
{
  "name": "my-game-server",
  "is_active": true,
  "image": "iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==",
  "create_time": "2026-04-22 12:00:46.444265",
  "last_updated": "2026-04-22 12:00:46.444265"
}

Delete App

delete

Delete an app and its versions.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestringRequisExample: my-game-server
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

Aucun contenu

delete/v1/app/{app_name}
DELETE /v1/app/{app_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*

Aucun contenu

Create App Version

post

Create an app version.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestring · min: 3 · max: 64RequisExample: my-game-server
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Corps
namestring · min: 1 · max: 64Requis

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
is_activebooleanOptionnel

Enable or disable deployments.

Default: trueExample: true
req_cpuinteger · min: 256Requis

Amount of vCPU units assigned to deployments. (1024 units = 1 vCPU).

Example: 1536
req_memoryinteger · min: 256Requis

Amount of memory MB assigned to deployments, at most double your vCPU units. (1024 MB = 1 GB).

Example: 3072
req_videointegerOptionnel

Amount of GPU units assigned to deployments. (1024 = 1 GPU)

Example: 0
docker_repositorystringRequis

Docker registry URL, ‘docker_repository’ is named incorrectly.

Example: registry.edgegap.com
private_usernamestringOptionnel

Docker Registry username. Not your Edgegap credentials.

Example: robot$my-org-cv2l3w3vy6fg+app-version-pull
private_tokenstringOptionnel

Docker Registry token/password. Not your Edgegap credentials.

Example: ghca3dz3foAxXf2tu2xjExtXrBOMydfC
docker_imagestringRequis

Namespaced docker image ID.

Example: my-org-cv2l3w3vy6fg/my-game-server
docker_tagstringRequis

Docker tag ID, typically timestamp or a build ID. Avoid using latest or overwriting tags.

Example: 2024.01.30-16.23.00-UTC
verify_imagebooleanOptionnel

Enable to verify we can pull your docker image using provided parameters and credentials.

Default: falseExample: true
force_cachebooleanOptionnel

Enable faster deployments with global image preloading. Recommended for live games.

Example: true
time_to_deployinteger · min: 15Optionnel

Image downloads exceeding this period (seconds) will timeout and be marked as Error.

Default: 10Example: 10
max_durationinteger · min: -1 · max: 1440Optionnel

Maximum allowed uptime minutes of deployments before automatically stopped.

Default: 1440Example: 1440
restart_policystring · enumOptionnel

Define policy for handling server process exit codes. Set to never to automatically stop deployments when your server process exits.

Default: alwaysExample: neverValeurs possibles:
termination_grace_period_secondsinteger · min: 5 · max: 3600Optionnel

Termination grace period in seconds after sending the SIGTERM signal to your deployment. Allows graceful shutdown and post-processing before the container stops.

Example: 5
will_deploy_in_mainland_chinabooleanOptionnel

Enable China Gateway. Disable to deploy worldwide except China.

Default: false
dns_configstringOptionnel

DNS configuration identifier for custom deployment domains.

Example: my-dns-config
endpoint_storagestringOptionnel

Endpoint storage identifier to upload deployment logs, overrides app version storage if specified.

Example: my-storage
Réponses
200

Success

application/json
successbooleanRequis

If the creation happened correctly

Default: true
post/v1/app/{app_name}/version
POST /v1/app/{app_name}/version HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 417

{
  "name": "2024.01.30-16.23.00-UTC",
  "req_cpu": 1536,
  "req_memory": 3072,
  "docker_repository": "registry.edgegap.com",
  "private_username": "robot$my-org-cv2l3w3vy6fg+app-version-pull",
  "private_token": "ghca3dz3foAxXf2tu2xjExtXrBOMydfC",
  "docker_image": "my-org-cv2l3w3vy6fg/my-game-server",
  "docker_tag": "2024.01.30-16.23.00-UTC",
  "ports": [
    {
      "port": 7777,
      "protocol": "UDP",
      "to_check": false,
      "name": "gameport"
    }
  ],
  "restart_policy": "never"
}
{
  "success": true,
  "version": {
    "name": "2024.01.30-16.23.00-UTC",
    "create_time": "2026-04-22 20:30:52.283949",
    "last_updated": "2026-04-22 20:30:52.283949",
    "is_active": true,
    "req_cpu": 1536,
    "req_memory": 3072,
    "docker_repository": "docker.io",
    "private_username": "robot$my-org-cv2l3w3vy6fg+app-version-pull",
    "private_token": "ghca3dz3foAxXf2tu2xjExtXrBOMydfC",
    "docker_image": "my-org-cv2l3w3vy6fg/my-game-server",
    "docker_tag": "2024.01.30-16.23.00-UTC",
    "verify_image": false,
    "force_cache": false,
    "caching_percent": 0.8,
    "time_to_deploy": 30,
    "max_duration": 60,
    "termination_grace_period_seconds": 5,
    "ports": [
      {
        "port": 7777,
        "protocol": "UDP",
        "to_check": false,
        "tls_upgrade": false,
        "name": "gameport"
      }
    ],
    "envs": []
  }
}

Get App Version

get

Get version details.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestringRequis

The name of the application

Example: my-game-server
version_namestringRequis

The name of the application version

Example: 2024.01.30-16.23.00-UTC
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
namestring · min: 1 · max: 64Requis

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
create_timestring · date-timeOptionnel

Date of creation.

Example: 2026-04-22 20:30:52.283949
last_updatedstring · date-timeOptionnel

Date of last update.

Example: 2026-04-22 20:30:52.283949
is_activebooleanOptionnel

Enable or disable deployments.

Default: trueExample: true
req_cpuinteger · min: 256Requis

Amount of vCPU units assigned to deployments. (1024 units = 1 vCPU).

Example: 1536
req_memoryinteger · min: 256Requis

Amount of memory MB assigned to deployments, at most double your vCPU units. (1024 MB = 1 GB).

Example: 3072
req_videointegerOptionnel

Amount of GPU units assigned to deployments. (1024 = 1 GPU)

Example: 0
docker_repositorystringRequis

Docker registry URL, ‘docker_repository’ is named incorrectly.

Example: registry.edgegap.com
private_usernamestringOptionnel

Docker Registry username. Not your Edgegap credentials.

Example: robot$my-org-cv2l3w3vy6fg+app-version-pull
private_tokenstringOptionnel

Docker Registry token/password. Not your Edgegap credentials.

Example: ghca3dz3foAxXf2tu2xjExtXrBOMydfC
docker_imagestringRequis

Namespaced docker image ID.

Example: my-org-cv2l3w3vy6fg/my-game-server
docker_tagstringRequis

Docker tag ID, typically timestamp or a build ID. Avoid using latest or overwriting tags.

Example: 2024.01.30-16.23.00-UTC
verify_imagebooleanOptionnel

Enable to verify we can pull your docker image using provided parameters and credentials.

Default: falseExample: true
force_cachebooleanOptionnel

Enable faster deployments with global image preloading. Recommended for live games.

Example: true
caching_percentnumberOptionnel

Current global caching percentage on scale 0-1. Values above 0.8 (80%) are considered a good coverage level.

Example: 0.8
time_to_deployinteger · min: 15Optionnel

Image downloads exceeding this period (seconds) will timeout and be marked as Error.

Default: 10Example: 10
max_durationinteger · min: -1 · max: 1440Optionnel

Maximum allowed uptime minutes of deployments before automatically stopped.

Default: 1440Example: 1440
restart_policystring · enumOptionnel

Define policy for handling server process exit codes. Set to never to automatically stop deployments when your server process exits.

Default: alwaysExample: neverValeurs possibles:
termination_grace_period_secondsinteger · min: 5 · max: 3600Optionnel

Termination grace period in seconds after sending the SIGTERM signal to your deployment. Allows graceful shutdown and post-processing before the container stops.

Example: 5
will_deploy_in_mainland_chinabooleanOptionnel

Enable China Gateway. Disable to deploy worldwide except China.

Default: false
dns_configstringOptionnel

DNS configuration identifier for custom deployment domains.

Example: my-dns-config
endpoint_storagestringOptionnel

Endpoint storage identifier to upload deployment logs, overrides app version storage if specified.

Example: my-storage
get/v1/app/{app_name}/version/{version_name}
GET /v1/app/{app_name}/version/{version_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "name": "2024.01.30-16.23.00-UTC",
  "create_time": "2026-04-22 20:30:52.283949",
  "last_updated": "2026-04-22 20:30:52.283949",
  "is_active": true,
  "req_cpu": 1536,
  "req_memory": 3072,
  "req_video": 0,
  "docker_repository": "registry.edgegap.com",
  "private_username": "robot$my-org-cv2l3w3vy6fg+app-version-pull",
  "private_token": "ghca3dz3foAxXf2tu2xjExtXrBOMydfC",
  "docker_image": "my-org-cv2l3w3vy6fg/my-game-server",
  "docker_tag": "2024.01.30-16.23.00-UTC",
  "verify_image": true,
  "force_cache": true,
  "caching_percent": 0.8,
  "time_to_deploy": 10,
  "max_duration": 1440,
  "restart_policy": "never",
  "termination_grace_period_seconds": 5,
  "will_deploy_in_mainland_china": false,
  "dns_config": "my-dns-config",
  "ports": [
    {
      "port": 7777,
      "protocol": "UDP",
      "to_check": true,
      "tls_upgrade": false,
      "name": "gameport"
    }
  ],
  "envs": [
    {
      "key": "MM_MATCH_PROFILE",
      "value": "advanced-example",
      "is_hidden": false
    }
  ],
  "endpoint_storage": "my-storage"
}

List App Versions

get

List versions under app.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestringRequis

The name of the application

Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
total_countintegerRequisExample: 100
get/v1/app/{app_name}/versions
GET /v1/app/{app_name}/versions HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "versions": [
    {
      "name": "2024.01.30-16.23.00-UTC",
      "create_time": "2026-04-22 20:30:52.283949",
      "last_updated": "2026-04-22 20:30:52.283949",
      "is_active": true,
      "req_cpu": 1536,
      "req_memory": 3072,
      "req_video": 0,
      "docker_repository": "registry.edgegap.com",
      "private_username": "robot$my-org-cv2l3w3vy6fg+app-version-pull",
      "private_token": "ghca3dz3foAxXf2tu2xjExtXrBOMydfC",
      "docker_image": "my-org-cv2l3w3vy6fg/my-game-server",
      "docker_tag": "2024.01.30-16.23.00-UTC",
      "verify_image": true,
      "force_cache": true,
      "caching_percent": 0.8,
      "time_to_deploy": 10,
      "max_duration": 1440,
      "restart_policy": "never",
      "termination_grace_period_seconds": 5,
      "will_deploy_in_mainland_china": false,
      "dns_config": "my-dns-config",
      "ports": [
        {
          "port": 7777,
          "protocol": "UDP",
          "to_check": true,
          "tls_upgrade": false,
          "name": "gameport"
        }
      ],
      "envs": [
        {
          "key": "MM_MATCH_PROFILE",
          "value": "advanced-example",
          "is_hidden": false
        }
      ],
      "endpoint_storage": "my-storage"
    }
  ],
  "total_count": 100,
  "pagination": {
    "number": 1,
    "next_page_number": 2,
    "previous_page_number": 1,
    "paginator": {
      "num_pages": 10
    },
    "has_next": true,
    "has_previous": false
  }
}

Update App Version

patch

Modify existing app version.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestringRequis

The name of the application

Example: my-game-server
version_namestringRequis

The name of the application version

Example: 2024.01.30-16.23.00-UTC
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Corps
namestring · min: 1 · max: 64Optionnel

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
is_activebooleanOptionnel

Enable or disable deployments.

Default: trueExample: true
req_cpuinteger · min: 256Optionnel

Amount of vCPU units assigned to deployments. (1024 units = 1 vCPU).

Example: 1536
req_memoryinteger · min: 256Optionnel

Amount of memory MB assigned to deployments, at most double your vCPU units. (1024 MB = 1 GB).

Example: 3072
docker_repositorystringOptionnel

Docker registry URL, ‘docker_repository’ is named incorrectly.

Example: registry.edgegap.com
private_usernamestringOptionnel

Docker Registry username. Not your Edgegap credentials.

Example: robot$my-org-cv2l3w3vy6fg+app-version-pull
private_tokenstringOptionnel

Docker Registry token/password. Not your Edgegap credentials.

Example: ghca3dz3foAxXf2tu2xjExtXrBOMydfC
docker_imagestringOptionnel

Namespaced docker image ID.

Example: my-org-cv2l3w3vy6fg/my-game-server
docker_tagstringOptionnel

Docker tag ID, typically timestamp or a build ID. Avoid using latest or overwriting tags.

Example: 2024.01.30-16.23.00-UTC
verify_imagebooleanOptionnel

Enable to verify we can pull your docker image using provided parameters and credentials.

Default: falseExample: true
force_cachebooleanOptionnel

Enable faster deployments with global image preloading. Recommended for live games.

Example: true
time_to_deployinteger · min: 15Optionnel

Image downloads exceeding this period (seconds) will timeout and be marked as Error.

Default: 10Example: 10
max_durationinteger · min: -1 · max: 1440Optionnel

Maximum allowed uptime minutes of deployments before automatically stopped.

Default: 1440Example: 1440
restart_policystring · enumOptionnel

Define policy for handling server process exit codes. Set to never to automatically stop deployments when your server process exits.

Default: alwaysExample: neverValeurs possibles:
termination_grace_period_secondsinteger · min: 5 · max: 3600Optionnel

Termination grace period in seconds after sending the SIGTERM signal to your deployment. Allows graceful shutdown and post-processing before the container stops.

Example: 5
will_deploy_in_mainland_chinabooleanOptionnel

Enable China Gateway. Disable to deploy worldwide except China.

Default: false
dns_configstringOptionnel

DNS configuration identifier for custom deployment domains.

Example: my-dns-config
endpoint_storagestringOptionnel

Endpoint storage identifier to upload deployment logs, overrides app version storage if specified.

Example: my-storage
Réponses
200

Success

application/json
successbooleanRequis
patch/v1/app/{app_name}/version/{version_name}
PATCH /v1/app/{app_name}/version/{version_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 115

{
  "time_to_deploy": 30,
  "envs": [
    {
      "key": "MAP_ID",
      "value": "forest1",
      "is_secret": false
    }
  ],
  "endpoint_storage": "my-storage"
}
{
  "success": true,
  "version": {
    "name": "2024.01.30-16.23.00-UTC",
    "create_time": "2026-04-22 20:30:52.283949",
    "last_updated": "2026-04-22 20:30:52.283949",
    "is_active": true,
    "req_cpu": 1536,
    "req_memory": 3072,
    "req_video": 0,
    "docker_repository": "registry.edgegap.com",
    "private_username": "robot$my-org-cv2l3w3vy6fg+app-version-pull",
    "private_token": "ghca3dz3foAxXf2tu2xjExtXrBOMydfC",
    "docker_image": "my-org-cv2l3w3vy6fg/my-game-server",
    "docker_tag": "2024.01.30-16.23.00-UTC",
    "verify_image": true,
    "force_cache": true,
    "caching_percent": 0.8,
    "time_to_deploy": 10,
    "max_duration": 1440,
    "restart_policy": "never",
    "termination_grace_period_seconds": 5,
    "will_deploy_in_mainland_china": false,
    "dns_config": "my-dns-config",
    "ports": [
      {
        "port": 7777,
        "protocol": "UDP",
        "to_check": true,
        "tls_upgrade": false,
        "name": "gameport"
      }
    ],
    "envs": [
      {
        "key": "MM_MATCH_PROFILE",
        "value": "advanced-example",
        "is_hidden": false
      }
    ],
    "endpoint_storage": "my-storage"
  }
}

Delete App Version

delete

Delete an app version.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
app_namestringRequis

The name of the application

Example: my-game-server
version_namestringRequis

The name of the application version

Example: 2024.01.30-16.23.00-UTC
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
successbooleanRequis
messagestringOptionnel
delete/v1/app/{app_name}/version/{version_name}
DELETE /v1/app/{app_name}/version/{version_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "success": true,
  "message": "text"
}

💾 Registre de conteneurs

List Image Tags

get

List all tags of a specific docker image.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
image_namestringRequis

The name of the image

Example: my-org-cv2l3w3vy6fg/my-game-server
Paramètres de requête
pageinteger · min: 1OptionnelExample: 2
limitinteger · min: 1OptionnelExample: 20
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
get/v1/container-registry/images/{image_name}/tags
GET /v1/container-registry/images/{image_name}/tags HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "data": [
    {
      "tag": "2024.01.30-16.23.00-UTC",
      "last_push_at": "2026-04-22 20:30:52.283949",
      "artifact": {
        "artifact_deleted": false,
        "remaining_tags": [
          "tag1",
          "tag2"
        ],
        "image_hash": "sha256:1234567890abcdef",
        "size_mb": 512
      }
    }
  ]
}

Delete Image Tag

delete

Delete a single tag and the associated image in the registry.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
image_namestringRequis

Docker image name.

Example: my-org-cv2l3w3vy6fg/my-game-server
tag_namestringRequis

Docker tag ID.

Example: 2024.01.30-16.23.00-UTC
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
deleted_tagstringOptionnel

Deleted docker tag ID.

Example: 1.0.0
delete/v1/container-registry/images/{image_name}/tags/{tag_name}
DELETE /v1/container-registry/images/{image_name}/tags/{tag_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "artifact": {
    "artifact_deleted": true,
    "size_mb": 512,
    "remaining_tags": [
      "text"
    ],
    "image_hash": "sha256:1234567890abcdef"
  },
  "deleted_tag": "1.0.0"
}

Delete Image Tags

post

Delete multiple tags of a registry image. Returns 207 Multi-Status with result for each tag separately. Caution is advised.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
image_namestringRequis

The name of the image

Example: my-org-cv2l3w3vy6fg/my-game-server
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Corps
tagsstring[]Requis

Tags to delete.

Example: 1.0.0
Réponses
207Succès
application/json
post/v1/container-registry/images/{image_name}/tags/bulk-delete
POST /v1/container-registry/images/{image_name}/tags/bulk-delete HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "tags": [
    "1.0.0"
  ]
}
{
  "results": [
    {
      "tag": "1.0.0",
      "status": 204,
      "message": "text"
    }
  ],
  "summary": {
    "total": 2,
    "success": 1,
    "failed": 1
  }
}

Mis à jour

Ce contenu vous a-t-il été utile ?